TypeSetup:
  FileType:
    - name:        VelodyneBag
      description: Raw Velodyne data bag file
    - name:        ApplanixBag
      description: Raw Applanix data bag file
    - name:        SidebandBag
      description: Raw Sideband data bag file
    - name:        ROSParamsTar
      description: ROS Param file (yml) in a tarball
    - name:        ROSParams
      description: ROS Param file (yml)
    - name:        NotesBag
      description: Run Notes, timestamped
    - name:        RadarBag
      description: Radar data bag file
    - name:        CameraBag
      description: Camera data bag file (deprecated)
    - name:        CameraH264
      description: Camera H264 Raw
    - name:        CameraH264_Timestamps
      description: Camera H264 Timestamps
    - name:        CameraRawImage
      description: Camera Raw (uncompressed) images
    - name:        CoreFile
      description: Core dump from crashed process
    - name:        CoreTar
      description: Tar of core dump and supporting info json from crashed process
    - name:        CameraRawImageLMDB
      description: Camera Raw image information in an lmdb
    - name:        PerformanceTar
      description: Tar of logs from performance tools
    - name:        TeleopVideoBag
      description: Teleop camera output
    - name:        CameraH265
      description: Camera H265 Raw
    - name:        CameraH265_Timestamps
      description: Camera H265 Timestamps
    - name:        TextLogTar
      description: Textual log files produced by Glog, Python logging, Bash, the OS, etc.
    - name:        HardwareConfigTar
      description: Hardware config and calibration files describing the vehicle hardware.


  ResultType:
    - name:        Validation::FileTotalSize
      description: Total size of a file must be within bounds
    - name:        Validation::FileDataRate
      description: The data rate (bytes/s) for a file must be within bounds
    - name:        Validation::BagFileTimeSpread
      description: The time spread of the start/end of ROS Bag files must be within bounds
    - name:        Validation::GpsMaxJump
      description: The maximum jump between sequential GPS readings must be within bounds
    - name:        Validation::BagMessageFrequency
      description: Every gap between two consecutive message must be within bounds
    - name:        Validation::RosTopic
      description: All ROS topics expected must be present
    - name:        Validation::SensorCount
      description: Every sensor must have a predetermined minimum count
    - name:        Message Count
      description: Count of messages, binned by severity
    - name:        Velodyne Overall Intensity Histogram
      description: Histogram of velodyne intensity readings (per puck)
    - name:        Velodyne Laser Intensity Histogram
      description: Histogram of velodyne intensity readings (per laser)
    - name:        UnitTest
      description: Unit Test result
    - name:        CLAMS/Calibration/Lidar/Extrinsics
      description: Optimized Lidar extrinsics from calibration
    - name:        CLAMS/Status
      description: Status for CLAMS calibration run (success, failure)
    - name:        CLAMS/Mapping/Trajectory
      description: Optimized trajectory from SLAM
    - name:        Ingest/BoundingBox
      description: Bounding box in (lat,lon) coords for the run
    - name:        Ingest/Trajectory/Overview
      description: The .png file providing a high-level visuatlization of the run
    - name:        CLAMS/Mapping/Lidar/2D/Tiles
      description: Intensity tiles in UTM
    - name:        CLAMS/Localization/Lidar/6DOF
      description: Offline 6-DOF localization estimates
    - name:        CLAMS/Localization/Lidar/2DOF
      description: Offline 2d-localization estimates from velodyne localizer
    - name:        CLAMS/Localization/MultiCLAMS
      description: Optimized Trajectory with respect to reference
    - name:        CLAMS/Localization/MOFO/Batch
      description: Batch-processed MOFO pose estimates
    - name:        Ingest/CAN_LOG/AI
      description: AI CAN ASCII messages
    - name:        Ingest/CAN_LOG/CH
      description: Chassis CAN ASCII messages
    - name:        Ingest/CAN_LOG/DAS
      description: Driver Assist CAN ASCII messages
    - name:        CLAMS/Calibration/Lidar/ROI
      description: Calibration Point Cloud
    - name:        Utility/RunSlice
      description: A slice or crop of a run
    - name:        CLAMS/Calibration/OneShot/StereoTransferMetrics/HTML
      description: HTML report containing stereo transfer metrics from one-shot calibration
    - name:        CLAMS/Metrics/StereoTransferMetrics/HTML
      description: HTML report containing stereo transfer metrics from existing onboard calibration

  RunType:
    - name:        testing
      description: Structured or unstructured testing of software or hardware
    - name:        mpi_testing
      description: Testing of software to gauge the miles per intervention statistic
    - name:        mapping
      description: Driving in order to produce maps of an area
    - name:        data_collection
      description: Any other data collection for a specific purpose, e.g. vision and lidar data of bicyclists
    - name:        calibration
      description: A run to be used only for doing lidar calibration in the 280 parking lot and 2 laps of Loop Road
    - name:        camera_calibration
      description: A run to be used only when doing the existing camera calibration process
    - name:        joint_calibration
      description: A run to be used for John Flynn's upcoming joint calibration process
    - name:        localization
      description: A run to be used for verification of the localizer
    - name:        demo
      description: Doing any sort of demo, including test runs beforehand
    - name:        startup
      description: A run to be used for startup
    - name:        integration_testing
      description: A run to be used for our daily integration tests
    - name:        other
      description: Anything else

  VehicleType:
    - name:        RCV
      description: RCV Vehicle
    - name:        Kitt
      description: Lexus sensor mule
    - name:        Highlander
      description: Higlander L3 vehicle
    - name:        VH4
      description: Dual Drive Dunebuggy

  WeatherType:
    - name:        CLEAR
      description: Weather where car's visibility is fine and no abnormal road conditions
    - name:        ROADS_WET_NO_RAIN
      description: Weather where visibility is fine but road conditions are wet
    - name:        RAIN
      description: Rainy weather that impacts both visibility and road conditions for the car

  RoadType:
    - name:        STREET
      description: Regular street roads found in cities and towns
    - name:        INTERSTATE
      description: Roads that cross state boundaries (deprecated)
    - name:        HIGHWAY
      description: Roads consisting of high speed traffic with (usually) no traffic lights

  DisengagementOrigin:
    - name:        DRIVER
      description: The disengagement was triggered by the actions of the driver
    - name:        AI
      description: The disengagement was triggered by the autonomous system.

  DisengagementReason:
    - name:        REQUESTED
      description: Disengagement was requested by the safety driver
    - name:        BEHAVIOR
      description: (Legacy Reason) Disengagement was due to abnormal behavior from the autonomous driving
    - name:        PROBLEM
      description: (Legacy Reason) Disengagement was due to an explicit problem in the vehicle hardware/software
    - name:        OUTSIDE_ODD
      description: Disengagement triggered because car is outside the ODD
    - name:        CAUTION
      description: Disengagement triggered because we want to be cautious
    - name:        CRITICAL
      description: Disengagement triggered due to critical issue in hardware/software.

  DisengagementCategory:
    - name:        Software_Localizer
      description: Related to the localizer software
    - name:        Software_Vision
      description: Related to the vision software
    - name:        Software_Perception
      description: Related to the 3D Perception software
    - name:        Software_Prediction
      description: Related to the Prediction software
    - name:        Software_Planner
      description: Related to the planner software
    - name:        Hardware_Calibration
      description: Related to a bad calibration of hardware
    - name:        Hardware_System
      description: Related to a shutdown of a hardware system
    - name:        Hardware_Component
      description: Related to a component failure
    - name:        Hardware_Lost_Connection
      description: Related to a lost connection in the hardware
    - name:        Hardware_Other
      description: Related a hardware issue not covered by the other categories
    - name:        Data_ZRN
      description: Related to incorrect or unavailable data from the ZRN
    - name:        Data_3D_Tiles_or_Imagery
      description: Related to incorrect or unavailable data from 3D tiles or imagery



InstanceSetup:
  Vehicle:
    - type:          RCV
      name:          vh_1
      serial_number: VH_0001
    - type:          RCV
      name:          vh_2
      serial_number: VH_0002
    - type:          RCV
      name:          vh_3
      serial_number: VH_0003
    - type:          Kitt
      name:          kitt
      serial_number: 2T2BC1BA6FC008917
    - type:          Kitt
      name:          kitt_00
      serial_number: 2T2BC1BA6FC008917
    - type:          Highlander
      name:          kitt_01
      serial_number: 5TDDCRFH7GS013796
    - type:          Highlander
      name:          kitt_02
      serial_number: 5TDDCRFHXGS016725
    - type:          Highlander
      name:          kitt_03
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_04
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_05
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_06
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_08
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_09
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_10
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_99
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_04
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_05
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_06
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_07
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_08
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_09
      serial_number: VIN HERE
    - type:          Highlander
      name:          kitt_10
      serial_number: VIN HERE
    - type:          VH4
      name:          vh4_01
      serial_number: vh4_01
    - type:          VH4
      name:          vh4_02
      serial_number: vh4_02
